local button = Sprite.new()
local rt = nil

function onButton(event)
	if button:hitTestPoint(event.x, event.y) then
		local color, alpha = rt:getPixel(event.x, event.y)
		if color == 0x00000 then
			print("black color clicked")
		else
			print(string.format("onButton: x %d, y %d", event.x, event.y))
		end
	else
		print("out of sprite bound")
	end
end

local bmp = Bitmap.new(Texture.new("4_1.png"))
rt = RenderTarget.new(bmp:getWidth(), bmp:getHeight())
button = Bitmap.new(rt)
button:addEventListener(Event.MOUSE_DOWN, onButton)
rt:draw(bmp)
stage:addChild(button)
